Summary:	Handy tools for working with URLs and APIs
Name:		python3-apeye
Version:	1.4.1
Release:	1
License:	LGPL v3+
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/apeye/
Source0:	https://files.pythonhosted.org/packages/source/a/apeye/apeye-%{version}.tar.gz
# Source0-md5:	5ec1415a8df9232d5b41ecbc0b9f2b78
URL:		https://github.com/domdfcoding/apeye
BuildRequires:	python3 >= 1:3.6.1
BuildRequires:	python3-build
BuildRequires:	python3-flit_core < 4
BuildRequires:	python3-flit_core >= 3.2
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.6.1
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.6.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Handy tools for working with URLs and APIs.

%prep
%setup -q -n apeye-%{version}

%build
%py3_build_pyproject

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%dir %{py3_sitescriptdir}/apeye
%{py3_sitescriptdir}/apeye/*.py
%{py3_sitescriptdir}/apeye/__pycache__
%{py3_sitescriptdir}/apeye/public_suffix_list.dat
%{py3_sitescriptdir}/apeye/py.typed
%dir %{py3_sitescriptdir}/apeye/slumber_url
%{py3_sitescriptdir}/apeye/slumber_url/*.py
%{py3_sitescriptdir}/apeye/slumber_url/__pycache__
%dir %{py3_sitescriptdir}/apeye/slumber_url/serializers
%{py3_sitescriptdir}/apeye/slumber_url/serializers/*.py
%{py3_sitescriptdir}/apeye/slumber_url/serializers/__pycache__
%{py3_sitescriptdir}/apeye-%{version}.dist-info
%changelog
* Sun Apr 20 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-apeye.git;a=log;h=master

* Sun Apr 20 2025 Jan Palus <atler@pld-linux.org> 6bc7756
- new

